Subject: bug#27781: LIBOBJS should depend on LIBOBJDIR

From: Michael Haubenwallner <[email-masked]>
Date: Fri, 21 Jul 2017 11:07:56 +0200

Hi,

in flex-2.6.4, the $(LIBOBJDIR) does contain source files only,
eventually required via LDADD=$(LIBOBJ) in another directory.

Now with --disable-dependency-tracking, an out of source build fails
because $top_builddir/$(LIBOBJDIR) is not created by anyone, see
the discussion in https://github.com/westes/flex/issues/244 and
http://lists.gnu.org/archive/html/autoconf-patches/2017-07/msg00002.html

I have no idea for how to fix automake for this situation, but it
feels like automake should add this line to src/Makefile.in here:

$(LIBOBJS): $(LIBOBJDIR)$(am__dirstamp)

Thanks!
/haubi/